## com.baidubce.services.moladb.model
Class UpdateItemRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.UpdateItemRequest

    public class UpdateItemRequest

extends AbstractBceRequest

Represents the input of a UpdateItem operation.

Constructor Summary
`UpdateItemRequest()` Constructs a new UpdateItemRequest object.

Method Summary
`Map<String,AttributeValueUpdate>` `getAttributeUpdates()` Get new attribute value with corresponding attribute name which will be updated.
`Key` `getKey()` Get key of the update item request.
`String` `getTableName()` Get the name of the table containing the item to update.
`void` `setAttributeUpdates(Map<String,AttributeValueUpdate> attributes)` Set new attribute value with corresponding attribute name which will be updated.
`void` `setKey(Key key)` Set the Key of the item to be updated with the given Key.
`void` `setTableName(String name)` Set the name of the table containing the item to update.
`String` `toString()` Return a string representation of request information.
`UpdateItemRequest` `withAttributeUpdates(Map<String,AttributeValueUpdate> attributes)` Set new attribute value with corresponding attribute name which will be updated.
`UpdateItemRequest` `withKey(Key key)` Set the Key of the item to be updated with the given Key.
`UpdateItemRequest` `withRequestCredentials(BceCredentials credentials)`
`UpdateItemRequest` `withTableName(String name)` Set the name of the table containing the item to update.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateItemRequest

    public UpdateItemRequest()

  Constructs a new UpdateItemRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### setTableName

    public void setTableName(String name)

  Set the name of the table containing the item to update.

  Parameters:
    `name` - The name of the table containing the item to update.

### getTableName

    public String getTableName()

  Get the name of the table containing the item to update.

  Returns:
    The name of the table containing the item to update.

### withTableName

    public UpdateItemRequest withTableName(String name)

  Set the name of the table containing the item to update.

  Parameters:
    `name` - The name of the table containing the item to update.
  Returns:
    A reference to this object so that method calls can be chained together.

### withKey

    public UpdateItemRequest withKey(Key key)

  Set the Key of the item to be updated with the given Key.

  Parameters:
    `key` - The Key of the item to be updated.
  Returns:
    A reference to this object so that method calls can be chained together.

### setKey

    public void setKey(Key key)

  Set the Key of the item to be updated with the given Key.

  Parameters:
    `key` - The Key of the item to be updated.

### getKey

    public Key getKey()

  Get key of the update item request.

  Returns:
    Return the key of the item to be updated.

### toString

    public String toString()

  Return a string representation of request information.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of request information.

### setAttributeUpdates

    public void setAttributeUpdates(Map<String,AttributeValueUpdate> attributes)

  Set new attribute value with corresponding attribute name which will be updated.

  Parameters:
    `attributes` - A map of attributes to update in an item, the type is Map<String, AttributeValueUpdate>.

### withAttributeUpdates

    public UpdateItemRequest withAttributeUpdates(Map<String,AttributeValueUpdate> attributes)

  Set new attribute value with corresponding attribute name which will be updated.

  Parameters:
    `attributes` - A map of attributes to update in an item, the type is Map<String, AttributeValueUpdate>.
  Returns:
    A reference to this object so that method calls can be chained together.

### getAttributeUpdates

    public Map<String,AttributeValueUpdate> getAttributeUpdates()

  Get new attribute value with corresponding attribute name which will be updated.

  Returns:
    A map of attributes to update in an item, the type is Map<String, AttributeValueUpdate>.

### withRequestCredentials

    public UpdateItemRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.